package org.diagbot.common.push.util;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName org.diagbot.bigdata.util.BigDataConstants
 * @Description TODO
 * @Author fyeman
 * @Date 2019/1/16/016 14:06
 * @Version 1.0
 **/
public class PushConstants {
    public final static String resource_type_i = "I";       //住院
    public final static String resource_type_o = "O";       //门诊
    public final static String resource_type_e = "E";       //急诊
    public final static String resource_type_oe = "OE";     //急诊 门诊合并

    public final static String feature_type_symptom  = "1"; //症状
    public final static String feature_type_diag  = "2";    //诊断
    public final static String feature_type_vital  = "3";   //体征
    public final static String feature_type_lis = "4";      //化验
    public final static String feature_type_pacs = "5";     //检查
    public final static String feature_type_treat = "6";       //治疗
    public final static String feature_type_history = "7";       //历史
    public final static String feature_type_labelpush = "22";       //指标推送
    public final static String feature_type_manju = "11";       //管理评估
    public final static String feature_type_vital_index = "42"; //体征指标
    public final static String feature_type_feature = "9"; //症状描述中的特征信息 如部位、性质等

//    public final static String standard_info_diag_cache = "standardInfoDiagMap";                    //词典库疾病缓存
//    public final static String standard_info_symptom_cache = "standardInfoSymptomMap";             //症状信息缓存
    public final static String standard_info_synonym_cache = "standardInfoSynonymMap";             //同义词缓存
    public final static String standard_info_type_cache = "standardInfoTypeMap";             //大小类关系词缓存
    public final static String standard_info_type_tree_cache = "standardInfoTypeTreeMap";             //大小类关系词缓存-树形结构

    //词典库relation_id定义
    public final static String standard_info_relation_type_2 = "2";    //同义词
    public final static String standard_info_relation_type_3 = "3";    //大小类

    public final static String result_mapping_vital = "resultMappingVitalMap";          //推送体征结果名称映射
    public final static String result_mapping_diag = "resultMappingDiagMap";          //推送疾病科室名称映射
    public final static String result_mapping_filter = "resultMappingFilterMap";          //推送结果年龄 性别过滤

    //关系抽取property_id对应property_name
    public final static Map<String,String> featureTypeMap = new HashMap<String,String>(){{
        put("80","辅检其他");
        put("9","单位");
        put("2","时间");
        put("3","部位");
        put("7","反意或虚拟");
        put("16","辅检项目");
        put("17","辅检结果");
        put("81","属性");
        put("82","方位");
        put("83","形容词");
        put("84","局部结构");
        put("85","属性值");
        put("86","表现");
        put("28","字母与数值");
        put("87","正常表现");
    }};
}
